<%#
https://github.com/guardian/frontend/blob/master/article/app/views/fragments/articleBody.scala.html
%>
<article class="news-entry"
  itemscope itemtype="NewsArticle" role="main">
  <!--meta itemprop="mainEntityOfPage" content="entry.url" #TODO -->
  <div itemprop="publisher" itemscope itemtype="https://schema.org/Organization">
  <meta itemprop="name" content="kath.de">
  <% if @current_page.amp? then %>
      <div itemprop="logo" itemscope itemtype="https://schema.org/ImageObject">
          <meta itemprop="url" content="http://"><!-- #TODO logo -->
      </div>
  <% else %>
      <link itemprop="sameAs" href="http://kath.de">
  <% end %>
  </div>

  <h3>
    <% if entry.url then %>
      <%= link_to entry.titel, entry.url %>
    <% else %>
      <%= entry.titel %>
    <% end %>
  </h3>
  <% if entry.untertitel then %>
    <div class="untertitel"><%= entry.untertitel %></div>
  <% end %>

  <div class="meta">
    <% if source = entry.source %>
    <span class="source"><%= source %></span>
    <% end %>
    <% if date = entry.date %>
      <% if source %>·<% end %>
      <span class="date"><%= date.respond_to?(:strftime) ? format_date(date, :medium) : date %></span>
    <% end %>
  </div>

  <% if entry.related.any? %>
    <h4>Außerdem zum Thema:</h4>
    <%= render partial: 'news/entry', collection: entry.related %>
  <% end %>
</article>
